Subject: Re: [PATCH v2 0/4] Linux native filesystem encryption (fscrypt).

From: Leo Famulari <[email-masked]>
Date: Sun, 6 Apr 2025 14:18:18 -0400

On Sun, Apr 06, 2025 at 08:35:37AM +0000, 45mg wrote:
> Yep, just did the exact same VM test again, and from inside the VM:
> 
> # zcat /proc/config.gz | grep 'CONFIG_FS_ENCRYPTION='
> CONFIG_FS_ENCRYPTION=y
> 
> Within the VM, I successfully performed the example from the fscryptctl
> README:
> https://github.com/google/fscryptctl?tab=readme-ov-file#example-usage

Great. I've made cosmetic adjustments and pushed to the kernel-updates
branch:

https://ci.guix.gnu.org/jobset/kernel-updates

It should be build kernels based on these patches for testing.

I'm merely going to test that my systems boot and operate properly.
Please test functionality based on this branch.

Looking at the documentation, should we adjust any other options? Or
will they automatically be adjusted to something sensible?

https://www.kernel.org/doc/html/v6.13/filesystems/fscrypt.html#kernel-config-options